Subject: Re: bug#43909: 26.1; read syntax breaks prettify-symbols

From: marmote-te <[email-masked]>
Date: Mon, 20 Sep 2021 01:38:01 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Sake <[email-masked]> writes:
>
>> ?\" ;; after this point prettify does not behave correctly anymore
>>
>>  ;; this will be a _lambda_ symbol when it should not
>> (setq-default prettify-symbols-alist '(("lambda" . 955)))
>>
>> (org-mode)
>> (prettify-symbols-mode 0)
>> (prettify-symbols-mode 1)
>
> Thanks for the recipe -- I can reproduce this in Emacs 28, too (but only
> in org-mode).  Perhaps somebody with more experience with Org can take a
> look at this?

Hi M.Ingebrigtsen,

Definitively this is an org-mode issue.
I have another pseudo recipe that may be related to that parsing issue.

To compile gcc I have an org file that tangle to a a script and
there ...

#+begin_src bash :noweb-ref none :results pp
__banner "Verify authenticity"
gpg --verify /gcc-.tar.xz.sig
#+end_src

#+RESULTS:
#+begin_example
gpg: les données signées sont supposées être dans « /mnt/_/tar_gcc-10.2.0/gcc-10.2.0.tar.xz »
gpg: Signature faite le jeu. 23 juil. 2020 08:57:41 CEST
gpg:                avec la clef RSA 7F74F97C103468EE5D750B583AB00996FC26A641
 » [inconnu]
 » [inconnu]
 » [inconnu]
 » [inconnu]
gpg: Attention : cette clef n'est pas certifiée avec une signature de confiance.
gpg:             Rien n'indique que la signature appartient à son propriétaire.
Empreinte de clef principale : 1397 5A70 E63C 361C 73AE  69EF 6EEB 81F8 981C 74C7
   Empreinte de la sous-clef : 7F74 F97C 1034 68EE 5D75  0B58 3AB0 0996 FC26 A641
#+end_example

This is not the result expected ! Whole parts are disappearing !

I think that is reproducible anyway if you have a file to verify from an
org block, and show that double quote are somewhere breaking org mode
blocks. Or maybe that is another issue but always about double quotes
and org-mode ;)

Thanks you for your interest.
--